### Class

# Spelling Checker

unstable since: 1

#### Description

    final class Spelling.Checker : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 1

#### Ancestors

- GObject

#### Constructors

###### spelling_checker_new

Create a new `SpellingChecker`.

unstable since: 1

#### Functions

###### spelling_checker_get_default

Gets a default `SpellingChecker` using the default provider and language.

unstable since: 1

#### Instance methods

###### spelling_checker_add_word

No description available.

unstable since: 1

###### spelling_checker_check_word

No description available.

unstable since: 1

###### spelling_checker_get_extra_word_chars

No description available.

unstable since: 1

###### spelling_checker_get_language

Gets the language being used by the spell checker.

unstable since: 1

###### spelling_checker_get_provider

Gets the spell provider used by the spell checker.

unstable since: 1

###### spelling_checker_ignore_word

No description available.

unstable since: 1

###### spelling_checker_list_corrections

Retrieves a list of possible corrections for `word`.

unstable since: 1

###### spelling_checker_set_language

Sets the language code to use when communicating with the provider, such as `en_US`.

unstable since: 1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Spelling.Checker:language

The “language” to use when checking words with the configured `SpellingProvider`. For example, `en_US`.

unstable since: 1

###### Spelling.Checker:provider

The “provider” property contains the provider that is providing information to the spell checker.

unstable since: 1

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct SpellingCheckerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.